关注VPS服务器
相关知识分享

WDCP 面板 V3.2 新增多 PHP 版本共存和一键 SSL 功能

国内站长使用 Linux 服务器一般乐意使用面板一类的可视化操作环境,早年都用国外的 Linux 面板,随着国内面板的丰富,我们又多了很多可选的国产面板,比如 WDCP 就是国产面板中的翘楚。最近许久没有动静的 WDCP 面板终于升级到了 3.2 版本,其中增加了两个大家热切期待的功能,一是多 PHP 版本共存,二是创建 letsencrypt 的证书。下面我们就来实操一下安装 WDCP V3.2 版本的过程。

一、安装 WDCP 3.2 版本的命令

yum install -y wget
wget https://dl.wdlinux.cn/files/lanmp_v3.2.tar.gz
tar zxvf lanmp_v3.2.tar.gz
sh lanmp.sh

上面命令默认安装为 N+A 组合,软件版本为:nginx-1.8.1,apache-2.2.31,mysql-5.5.54,php-5.5.38,memcache,redis,zend。

这次我用的是Vultr的日本线路,WDCP 的安装文件线路的下载时间妥妥的超过了 2 小时 46 分钟,所以老魏就放弃安装了,实在是等不起,也懒得再去折腾美国 VPS 了。WDCP 官方能否考虑在国内外多放几条安装包线路,并且在明显位置给予醒目提示,这样对于 WDCP 的用户群体扩大还是有好处的。

再看看隔壁宝塔面板,2 分钟安装完毕,几十分钟搞定 lnmp 或者 lamp 环境。相比之下 WDCP 在这方面落后了很多了。

好在 WDCP 官方提供了安装好的测试 3.2 版本后台,我们就借用这个后台来看一下新增功能吧。

二、WDCP 支持多 php 版本设置

自 v3.2 开始,wdcp 支持多 PHP 版本共存共用和切换,可根据需求灵活选择和使用
安装方法如下:

wget https://down.wdlinux.cn/in/phps.sh
sh phps.sh

(共支持 7 个版本的 PHP,如 5.2.17/5.3.29/5.4.45/5.5.38/5.6.30/7.0.18/7.1.4)

默认安装使用版本,可以针对或选择性安装某个版本,如

sh phps.sh 7.1.4

即可安装 7.1.4,其余的以此类推。

上面选择 php 版本的时候需要哪个就安装哪个,别全都安装上,要知道 php 版本多了也蛮吃内存的。安装后检查下是否启动,然后创建站点的时候指定一下使用的 php 版本即可。

三、WDCP 支持一键开通 letsencrypt 证书

从 v3.2.5 开始,可直接在后台上创建 letsencrypt 的证书并启用,使用 SSL/HTTPS,就这么简单,直接在后台,一个点击,就都全好了
(不过这个创建要连接海外服务器,时间稍微会久一点,不同的线路带宽也会不一样)。默认一个证书只可以绑定两个域名,一个顶级域名,一个子域名,比如使用 vpsss.net 创建的站点,在创建证书时,将自动绑定 vpsss.net,www.vpsss.net。

创建方法看下图,点击“C”即可

Letsencrypt 证书有效期为 3 个月,快到三个月时,再在后台点击创建一次就可以。这里不能自动续期比较遗憾。

总体来说 WDCP 的 3.2 版本新增 2 大功能还是挺给力的,解决了很久以来某些特定程序指定 php 版本的问题,也解决了免费 SSL 证书的安装问题。如果你有此类需要可以考虑去升级、安装 WDCP 面板体验一下。

允许转载,保留出处:魏艾斯博客 » WDCP 面板 V3.2 新增多 PHP 版本共存和一键 SSL 功能
分享到: 更多 (0)

评论 抢沙发

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址